//+------------------------------------------------------------------+
//|                                    .mq4 |
//|                               Copyright  2012, Vladimir Hlystov |
//|                                                cmillion@narod.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Vladimir Hlystov"
#property link      "http://cmillion.narod.ru"
extern bool comment = true;  //   
//+------------------------------------------------------------------+
int start()
  {
   int n,Ticket;
   string txt=StringConcatenate("    ,  ",TimeToStr(TimeCurrent(),TIME_SECONDS));
   if (comment) Comment(txt);
   for (int j = OrdersTotal(); j >=0 ; j--)
   {
      if(OrderSelect(j,SELECT_BY_POS,MODE_TRADES))
      {
         if(OrderType()>1)
         {
            Ticket = OrderTicket();
            while(true)
            {
               if (OrderDelete(Ticket))
               { 
                  txt = StringConcatenate(txt,"\nOrderDelete ",Ticket);
                  break;
               }
               else
               {
                  n++;
                  if (n>10) break;
                  Sleep(1000);
                  RefreshRates();
                  txt = StringConcatenate(txt,"\nOrderDelete error ",GetLastError()," Ticket ",Ticket);
               }
            }
         }
      }
      if (comment) Comment(txt);
   }
   if (comment) Comment(txt,"\n    ",TimeToStr(TimeCurrent(),TIME_SECONDS));
   return(0);
  }
//+------------------------------------------------------------------+